{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Resets a non-production database branch by re-forking it from a source branch (defaults to the production branch). If the target branch is already in sync with the source, returns the existing connection string without performing a reset, unless `force=true` is passed. The production branch cannot be reset.","properties":{"path":{"type":"object","properties":{"site_id":{"type":"string"},"branch_id":{"type":"string","description":"The branch ID to reset"}},"required":["site_id","branch_id"],"additionalProperties":false},"query":{"type":"object","properties":{"force":{"type":"boolean","description":"If true, resets the branch even when it is already in sync with the source."},"role":{"type":"string","description":"The database role to use for the returned connection string. Defaults to netlifydb_owner if not specified.","enum":["netlifydb_owner","netlifydb_readonly"]}},"required":[],"additionalProperties":false},"body":{"$ref":"#/definitions/resetDatabaseBranchRequest"}},"required":["path"],"additionalProperties":false,"definitions":{"resetDatabaseBranchRequest":{"type":"object","description":"Request body for resetting a database branch","properties":{"source_branch_id":{"type":"string","description":"The ID of the branch to re-fork the target branch from. Defaults to \"production\" if not specified."}}}}},"name":"Reset a database branch","id":"netlify.resetsitedatabasebranch","example":{"path":{"site_id":"example","branch_id":"example"}},"maxRequests":1,"summary":false}}